%define anolis_release 3
%define debug_package %{nil}
%define anacondaver 36.7-1

Summary: Initial system configuration utility
Name: initial-setup
URL: https://github.com/rhinstaller/initial-setup
Version: 0.3.94
Release: %{anolis_release}%{dist}
Source0: https://github.com/rhinstaller/initial-setup/archive/refs/tags/r%{version}-1.tar.gz

Patch1001: 1001-fix-the-install-error.patch

License: GPLv2+
BuildRequires: gettext
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: systemd-units
BuildRequires: gtk3-devel
BuildRequires: glade-devel
BuildRequires: intltool
BuildRequires: make

Requires: %{__python3}
Requires: anaconda-tui >= %{anacondaver}
Requires: python3-simpleline >= 1.4
Requires: systemd >= 235
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
Requires: util-linux
Conflicts: firstboot < 19.2

ExclusiveArch: x86_64 aarch64

%description
The initial-setup utility runs after installation.  It guides the user through
a series of steps that allows for easier configuration of the machine.

%package gui
Summary: Graphical user interface for the initial-setup utility
Requires: gtk3
Requires: anaconda-gui >= %{anacondaver}
Requires: firstboot(windowmanager)
Requires: xorg-x11-xinit
Requires: xorg-x11-server-Xorg
Requires: %{name} = %{version}-%{release}

%description gui
The initial-setup-gui package contains a graphical user interface for the
initial-setup utility.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n initial-setup-r%{version}-1  -p1

%build
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install


%clean
rm -rf %{buildroot}

%post
%systemd_post initial-setup.service

%preun
%systemd_preun initial-setup.service

%postun
%systemd_postun initial-setup.service

%files 
%{python3_sitelib}/initial_setup*
%exclude %{python3_sitelib}/initial_setup/gui
%{_libexecdir}/%{name}/run-initial-setup
%{_libexecdir}/%{name}/firstboot-windowmanager
%{_libexecdir}/%{name}/initial-setup-text
%{_libexecdir}/%{name}/reconfiguration-mode-enabled
%{_unitdir}/initial-setup.service
%{_unitdir}/initial-setup-reconfiguration.service
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/conf.d
%config %{_sysconfdir}/%{name}/conf.d/*
%license COPYING

%files gui
%{_libexecdir}/%{name}/initial-setup-graphical
%{python3_sitelib}/initial_setup/gui/

%files doc
%doc README.rst

%changelog
* Tue Mar 12 2024 Bo Ren <rb01097748@alibaba-inc.com> - 0.3.94-3
- Rebuild with python3.11

* Fri Dec 29 2023 happy_orange <songnannan@linux.alibaba.com> - 0.3.94-2
- fix the source error

* Wed Mar 15 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 0.3.94-1
- Init package from upstream
